org.apache.poi.hwpf.model

## Class NotesTables

- java.lang.Object
- - org.apache.poi.hwpf.model.NotesTables

-     @Internal
      public class NotesTables
      extends java.lang.Object

  Holds information about document notes (footnotes or ending notes)
  Author:
    Sergey Vladimirov (vlsergey {at} gmail {doc} com)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotesTables(NoteType noteType)`
    `NotesTables(NoteType noteType, byte[] tableStream, FileInformationBlock fib)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GenericPropertyNode` | `getDescriptor(int index)`
    `int` | `getDescriptorsCount()`
    `GenericPropertyNode` | `getTextPosition(int index)`
    `void` | `writeRef(FileInformationBlock fib, java.io.ByteArrayOutputStream tableStream)`
    `void` | `writeTxt(FileInformationBlock fib, java.io.ByteArrayOutputStream tableStream)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotesTables

          public NotesTables(NoteType noteType)

    - #### NotesTables

          public NotesTables(NoteType noteType,
                             byte[] tableStream,
                             FileInformationBlock fib)

  - ### Method Detail

    - #### getDescriptor

          public GenericPropertyNode getDescriptor(int index)

    - #### getDescriptorsCount

          public int getDescriptorsCount()

    - #### getTextPosition

          public GenericPropertyNode getTextPosition(int index)

    - #### writeRef

          public void writeRef(FileInformationBlock fib,
                               java.io.ByteArrayOutputStream tableStream)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeTxt

          public void writeTxt(FileInformationBlock fib,
                               java.io.ByteArrayOutputStream tableStream)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.